# $Revision: 1.55.2.5 $, $Date: 2003/10/22 15:45:50 $
#
# Conditional build:
# --without emacs	- don't build with emacs
# --without tk		- don't build with tk
# --without x11		- don't build with X11 (implies --without tk)

%{?_without_x11:%define	_without_tk	1}

Summary:	The Objective Caml compiler and programming environment
Summary(pl):	Kompilator Obiektowego Camla oraz rodowisko programistyczne
Name:		ocaml
Version:	3.06
Release:	4
License:	distributable
Vendor:		Group of implementors <caml-light@inria.fr>
Group:		Development/Languages
Source0:	http://caml.inria.fr/distrib/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	51530ed183b511ce19fed325c8ab1b43
Source1:	http://caml.inria.fr/distrib/%{name}-%{version}/%{name}-%{version}-refman.html.tar.gz
# Source1-md5:	2b555271d2630698fcd3a9b9acfd1440
Source2:	http://caml.inria.fr/distrib/%{name}-%{version}/%{name}-%{version}-refman.ps.gz
# Source2-md5:	7a23eb2287e04d359500dcaa8a8b504c
Source3:	ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{version}-manual.html.tar.gz
# Source3-md5:	21370bae4e7f6435b38aeb21db7ce8bb
Source4:	ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{version}-manual.dvi.gz
# Source4-md5:	035915d1a530aa7ec9b194d9a7d258eb
Source5:	ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{version}-tutorial.html.tar.gz
# Source5-md5:	96d8eb4ca5abd58c9a280ba59f73b192
Source6:	ftp://ftp.inria.fr/INRIA/Projects/cristal/camlp4/camlp4-%{version}-tutorial.dvi.gz
# Source6-md5:	fcd87c235109364242a0c9ccf176dff8
Source7:	http://www.oefai.at/~markus/ocaml_sources/pure-fun-1.0.4.tar.bz2
# Source7-md5:	567bc681b4cc1cfcbbfb6fa5f012019b
Source8:	http://www.oefai.at/~markus/ocaml_sources/ds-contrib.tar.gz
# Source8-md5:	77fa1da7375dea1393cc0b6cd802d7e1
Patch0:		%{name}-build.patch
Patch1:		%{name}-manlinks.patch
Patch2:		%{name}-db3.patch
Patch3:		%{name}-objinfo.patch
Patch4:		%{name}-opt-symbols.patch
Patch5:		%{name}-mano.patch
Patch6:		%{name}-nomanpages.patch
URL:		http://caml.inria.fr/
Requires:	ocaml-runtime = %{version}-%{release}
Obsoletes:	ocaml-ocamldoc
Provides:	ocaml-ocamldoc
BuildRequires:	db3-devel
%{!?_without_tk:BuildRequires:		tk-devel}
%{!?_without_x11:BuildRequires:		XFree86-devel}
%{!?_without_emacs:BuildRequires:	xemacs}
%{!?_without_emacs:BuildRequires:	xemacs-common}
%{!?_without_emacs:BuildRequires:	xemacs-fsf-compat-pkg}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel
system, Lex&Yacc tools, a replay debugger, and a comprehensive
library.

%description -l pl
Objektowy Caml jest funkcjonalnym, obiektowo zorientowanym jzykiem
wysokiego poziomu z rodziny jzykw ML.

Ten pakiet zawiera dwa kompilatory (szybki kompilator bytecode oraz
zoptymalizowany natywny kompilator), interaktywny gwny system,
narzdzia Lex&Yacc, odpluskwiacz i biblioteki.

%package doc-ps
Summary:	PostScript documentation for OCaml
Summary(pl):	Dokumentacja dla OCaml-a w formacie PostSript
Group:		Development/Tools

%description doc-ps
PostScript documentation for OCaml. HTML documentation is in main package.

%description doc-ps -l pl
Dokumentacja dla OCamla w formacie PostSript. Dokumentacja HTML jest
w gwnym pakiecie.

%package emacs
Summary:	Emacs mode for OCaml
Summary(pl):	Tryb Emacsa dla OCaml
Group:		Development/Tools
Requires:	%{name} = %{version}

%description emacs
Emacs mode files for Objective Caml language.

%description emacs -l pl
Pliki trybu Emacsa dla jzyka Objektowego Camla.

%package runtime
Summary:	Runtime system for OCaml
Summary(pl):	rodowisko uruchomieniowe dla OCamla
Group:		Libraries

%description runtime
This package contains binaries needed to run bytecode OCaml programs:
ocamlrun bytecode interpreter, and basic dynamic link libraries.

%description runtime -l pl
Pakiet ten zawiera binaria potrzebne do uruchamiania programw w
OCamlu skompilowanych do bytecodu: interpreter bytecodu ocamlrun oraz
podstawowe bibliotki linkowane dynamicznie.

%package labltk-devel
Summary:	LabelTk library for OCaml
Summary(pl):	Biblioteka LablTk dla OCamla
Group:		Development/Libraries
Requires:	%{name}-labltk = %{version}-%{release}

%description labltk-devel
LablTk gives OCaml program access to Tcl/Tk GUI widgets. This package
contains files needed to develop OCaml programs using LablTk.

%description labltk-devel -l pl
Biblioteka LablTk daje programom napisanym w OCamlu dostp do widgetw
Tcl/Tk. Pakiet ten zawiera pliki niezbdne do tworzenia programw
uywajcych LablTk.

%package labltk
Summary:	Runtime for LabelTk library
Summary(pl):	rodowisko uruchomieniowe dla biblioteki LablTk
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description labltk
LablTk gives OCaml program access to Tcl/Tk GUI widgets. This package
contains files needed to run bytecode OCaml programs using LablTk.

%description labltk -l pl
Biblioteka LablTk daje programom napisanym w OCamlu dostp do widgetw
Tcl/Tk. Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych LablTk.

%package x11graphics-devel
Summary:	X11 graphic output for OCaml
Summary(pl):	Iksowe wyjcie graficzne dla OCamla
Group:		Development/Libraries
Requires:	%{name}-x11graphics = %{version}-%{release}

%description x11graphics-devel
x11graphics module gives OCaml program access to drawing in X11
windows. This package contains files needed to develop OCaml programs
using x11graphics.

%description x11graphics-devel -l pl
Modu x11graphics daje programom napisanym w OCamlu dostp do
rysowania po oknach X11. Pakiet ten zawiera pliki niezbdne do
tworzenia programw uywajcych x11graphics.

%package x11graphics
Summary:	X11 graphic output for OCaml
Summary(pl):	Iksowe wyjcie graficzne dla OCamla
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description x11graphics
x11graphics module gives OCaml program access to drawing in X11
windows. This package contains files needed to run bytecode OCaml
programs using x11graphics.

%description x11graphics -l pl
Modu x11graphics daje programom napisanym w OCamlu dostp do
rysowania po oknach X11. Pakiet ten zawiera binaria potrzebne do
uruchamiania programw uywajcych x11graphics.

%package camlp4
Summary:	Objective Caml Preprocessor
Summary(pl):	Preprocesor Ocamla
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Provides:	camlp4 = %{version}-%{release}
Obsoletes:	camlp4

%description camlp4
Camlp4 is a Pre-Processor-Pretty-Printer for Objective Caml. It offers
tools for syntax (grammars) and the ability to modify the concrete
syntax of the language (quotations, syntax extensions).

Camlp4 can parse normal Ocaml concrete syntax or any other
user-definable syntax. As an example, an alternative syntax is
provided, named revised, because it tries to fix some small problems
of the normal syntax.

Camlp4 can pretty print the normal Ocaml concrete syntax or the
revised one. It is therefore always possible to have a version of your
sources compilable by the compiler Objective Caml without
preprocessing.

%description camlp4 -l pl
Camlp4 jest preprocesorem dla Ocamla. Oferuje narzdzia do skadni
(gramatyki) oraz umiejtno modyfikowania konkretnej skadni jzyka
(cytowania, rozszerzenia).

Camlp4 moe sparsowa normaln skadni Ocamla lub inn dowoln
definiowaln przez uytkownika. Jako przykad jest podana alternatywna
skadnia, nazwana "poprawiona", poniewa prbuje poprawi drobne
problemy ze zwyk skadni.

Camlp4 umie adnie wypisa normaln skadni Camla lub "poprawion".
Dziki temu jest moliwe posiadanie wersji swoich rde
kompilowalnych przez kompilatora Ocamla bez preprocesingu.

%package devel
Summary:	Compiled parts of OCaml compiler
Summary(pl):	Skompilowane kawaki kompilatora OCamla
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains *.cmi and *.cmo files being parts of OCaml
compiler. They are needed to compile some programs.

%description devel -l pl
Pakiet ten zawiera pliki *.cmi oraz *.cmo bdce czeciami kompilatora
OCamla. S one wymagane do kompilacji niektrych programw.

%package ocamldoc-devel
Summary:	Files needed to develop programs using ocamldoc
Summary(pl):	Pliki potrzebne do tworzenia programw uywajcych ocamldoc
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description ocamldoc-devel
You need this package if you are going to write ocamldoc front end or
something like that.

%description ocamldoc-devel -l pl
Bdziesz potrzebowa tego pakietu, jeli zamierzasza pisa front end
dla ocamldoc lub co podobnego.

%package lib-source
Summary:	Sources of OCaml standard library
Summary(pl):	rda biblioteki standardowej OCamla
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description lib-source
This sources come helpful during debugging of user programs with ocamldebug.

%description lib-source -l pl
rda te co przydatne przy odpluskwianiu programw uytkownika
z uyciem ocamldebug.

# maybe we'll want to add some more stuff here?
%package examples
Summary:	Example source code for OCaml
Summary(pl):	Przykadowe kody rdowe w OCamlu
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description examples
This packages contains sources for Okasaki's Purely Functional 
Datastructures in OCaml, along with some contributions.

%description examples -l pl
Pakiet ten zawiera rda Czysto-Funkcjonalnych Struktur Danych 
Okasaki'ego, przeoone na OCamla, wraz z dodatkami.

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
%setup -q -T -D -c -n %{name}-%{version}/examples -a 7
%setup -q -T -D -c -n %{name}-%{version}/examples -a 8
%setup -q -T -D -n %{name}-%{version} -a 3
%setup -q -T -D -n %{name}-%{version} -a 5
# order mess with docs somewhat
mkdir docs
mkdir docs/html
mv htmlman docs/html/ocaml
cp %{SOURCE2} docs/ocaml.ps.gz
mv camlp4-%{version}-manual.html docs/html/camlp4
cp %{SOURCE4} docs/camlp4.ps.gz
mv camlp4-%{version}-tutorial.html docs/html/camlp4-tutorial
cp %{SOURCE6} docs/camlp4-tutorial.ps.gz
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1
%patch5 -p1
%ifarch alpha
%patch6 -p1
%endif

%build
./configure \
        -cc "%{__cc} %{rpmcflags}" \
	-bindir %{_bindir} \
	-libdir %{_libdir}/%{name} \
	-mandir %{_mandir}/man1 \
	-host %{_host} \
	%{?_without_tk:-no-tk} \
	-with-pthread

%{__make} world bootstrap opt.opt
%{__make} -C tools objinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_examplesdir}/%{name}{,-labltk}-%{version}}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/%{name} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

cat > $RPM_BUILD_ROOT%{_libdir}/%{name}/ld.conf <<EOF
%{_libdir}/%{name}/stublibs
%{_libdir}/%{name}
EOF

%if %{!?_without_emacs:1}%{?_without_emacs:0}
%{__make} -C emacs DESTDIR=$RPM_BUILD_ROOT install \
	EMACS="`if [ -x %{_bindir}/emacs ]; then echo emacs; \
	        else echo xemacs; fi`" \
	EMACSDIR="$RPM_BUILD_ROOT%{_libdir}/emacs/site-lisp"
%endif

# symlink .opt versions of compilers (if present)
# warning: don't do that with camlp4 (can't load extensions then)
for f in ocamlc ocamlopt ocamldoc ocamllex; do
	if test -f $RPM_BUILD_ROOT%{_bindir}/$f.opt; then
		mv -f $RPM_BUILD_ROOT%{_bindir}/$f \
			$RPM_BUILD_ROOT%{_bindir}/$f.byte
		ln -sf %{_bindir}/$f.opt $RPM_BUILD_ROOT%{_bindir}/$f
	fi
done

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.mli
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*/*.ml{,i}

# move includes to the proper place
mv -f $RPM_BUILD_ROOT%{_libdir}/%{name}/caml $RPM_BUILD_ROOT%{_includedir}/caml
# but leave compatibility symlink
ln -s ../../include/caml $RPM_BUILD_ROOT%{_libdir}/%{name}/caml

# compiled sources of compiler, needed by some programs
for f in {asm,byte}comp parsing typing utils ; do
	install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/compiler/$f
	cp $f/*.{cmi,cmo,cmx,o} $RPM_BUILD_ROOT%{_libdir}/%{name}/compiler/$f
done

# this isn't installed by default, but is useful
install tools/objinfo $RPM_BUILD_ROOT%{_bindir}/ocamlobjinfo
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r otherlibs/labltk/examples* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-labltk-%{version}

ln -sf %{_libdir}/%{name}/{scrape,add}labels $RPM_BUILD_ROOT%{_bindir}

# shutup checkfiles
rm -rf $RPM_BUILD_ROOT%{_mandir}/man3
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/labltk/{labltktop,pp}

%clean
rm -rf $RPM_BUILD_ROOT

%files runtime
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ocamlrun
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/stublibs
%attr(755,root,root) %{_libdir}/%{name}/stublibs/dll*.so
%exclude %{_libdir}/%{name}/stublibs/dllgraphics.so
%{!?_without_tk:%exclude %{_libdir}/%{name}/stublibs/dlllabltk.so}
%{!?_without_tk:%exclude %{_libdir}/%{name}/stublibs/dlltkanim.so}

%files
%defattr(644,root,root,755)
%doc LICENSE Changes README Upgrading
%doc docs/html/ocaml
%attr(755,root,root) %{_bindir}/ocaml*
%{!?_without_tk:%exclude %{_bindir}/ocamlbrowser}
%exclude %{_bindir}/ocamlrun
%attr(755,root,root) %{_bindir}/*labels
%{_includedir}/caml
%{_libdir}/%{name}/caml
%{_libdir}/%{name}/threads
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.o
%{_libdir}/%{name}/*.cm*
%exclude %{_libdir}/%{name}/*graphics*
%{_libdir}/%{name}/ld.conf
%{_libdir}/%{name}/camlheader
%{_libdir}/%{name}/camlheader_ur
%dir %{_libdir}/%{name}/ocamldoc
%{_libdir}/%{name}/ocamldoc/*.sty
%{_libdir}/%{name}/ocamldoc/*.hva
%attr(755,root,root) %{_libdir}/%{name}/expunge
%attr(755,root,root) %{_libdir}/%{name}/extract_crc
%attr(755,root,root) %{_libdir}/%{name}/*labels
%{_mandir}/man1/*ocaml*

%files lib-source
%defattr(644,root,root,755)
%{_libdir}/%{name}/*.ml

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

# they are poor, html is much better
#%files manpages
#%{_mandir}/man3/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/%{name}/compiler

%files camlp4
%defattr(644,root,root,755)
%doc docs/html/camlp4*
%attr(755,root,root) %{_bindir}/*camlp4*
%attr(755,root,root) %{_bindir}/ocpp
# Not installed since 3.05, is is needed?
#%attr(755,root,root) %{_bindir}/odyl
%{_libdir}/%{name}/camlp4
%{_mandir}/man*/*camlp4*
%{_mandir}/man*/*ocpp*

%if %{!?_without_tk:1}%{?_without_tk:0}
%files labltk-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/labltk
%attr(755,root,root) %{_bindir}/ocamlbrowser
%dir %{_libdir}/%{name}/labltk
%{_libdir}/%{name}/labltk/*.cm*
%{_libdir}/%{name}/labltk/*.a
%attr(755,root,root) %{_libdir}/%{name}/labltk/tkcompiler
%{_examplesdir}/%{name}-labltk-%{version}

%files labltk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/stublibs/dlllabltk.so
%attr(755,root,root) %{_libdir}/%{name}/stublibs/dlltkanim.so
%endif

%if %{!?_without_x11:1}%{?_without_x11:0}
%files x11graphics-devel
%defattr(644,root,root,755)
%{_libdir}/%{name}/graphics*.cm*
%{_libdir}/%{name}/graphics.a
%{_libdir}/%{name}/libgraphics.a

%files x11graphics
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/stublibs/dllgraphics.so
%endif

%if %{!?_without_emacs:1}%{?_without_emacs:0}
%files emacs
%defattr(644,root,root,755)
%{_libdir}/emacs/site-lisp/*.el*
%endif

%files ocamldoc-devel
%defattr(644,root,root,755)
%{_libdir}/%{name}/ocamldoc/*.cm*
%{_libdir}/%{name}/ocamldoc/*.a

%files doc-ps
%defattr(644,root,root,755)
%doc docs/*.ps.gz

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml.spec,v $
Revision 1.55.2.5  2003/10/22 15:45:50  ankry
- disable manpages build on alpha (does not build in 3.06)
- typo
- rel. 4

Revision 1.55.2.4  2003/09/12 22:37:57  blues
- release 3

Revision 1.55.2.3  2003/09/09 11:11:53  ankry
- spaces -> tabs

Revision 1.55.2.2  2003/09/03 20:46:17  blues
- md5

Revision 1.55.2.1  2003/07/11 12:02:11  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.55  2002/11/11 02:15:06  qboosh
- defattr for examples

Revision 1.54  2002/11/10 14:26:22  malekith
- this is strange, exclude cries about absent files

Revision 1.53  2002/11/10 14:12:16  malekith
- fixed --without tk

Revision 1.52  2002/11/10 14:11:01  malekith
- removed junk

Revision 1.51  2002/11/10 14:10:15  malekith
- fixed examples

Revision 1.50  2002/11/10 13:56:08  malekith
- added examples subpackage with pure-fun
- release 2

Revision 1.49  2002/08/23 12:20:51  malekith
- cleanup; few fixed
- finished

Revision 1.48  2002/08/23 11:44:26  malekith
- updated to 3.06, nfy

Revision 1.47  2002/08/12 11:56:58  malekith
- obsoletes, provides: ocaml-ocamldoc.spec

Revision 1.46  2002/08/09 11:41:51  malekith
- fixed URLS, there are no .ps for camlp4, use dvi instead
- renumber patches

Revision 1.45  2002/08/09 11:14:39  malekith
- updated to 3.05 (however don't install it on builders; 3.06 will be soon
  out)
- doc subpackage is now back doc-ps (the same documentation is in main
  package; ps is for print)
- new subpackages: ocamldoc-devel and lib-source
- ppc fix now in main sources
- dynlink with ocamlc.opt should also now work (havn't check it yet though)
- clean files -- use %%exclude

Revision 1.44  2002/06/04 23:32:01  kloczek
- rename doc-ps package to doc.

Revision 1.43  2002/06/03 15:27:58  malekith
- ugly hack for db3 removed (now patch is ugly)

Revision 1.42  2002/05/22 11:18:42  malekith
- camlp4 manual moved to ocaml-camlp4 subpackage

Revision 1.41  2002/05/21 13:52:42  malekith
- removed info documentation from main package (it is heavilly broken)
  added HTML in place of it, and thus removed doc-html subpackage

Revision 1.40  2002/05/21 12:53:52  malekith
- rel 9, new version of opt-symbols patch (fixes problems with linking dml
  with ocamlc.opt)
- new %doc stuff

Revision 1.39  2002/05/13 11:57:23  malekith
- release 8

Revision 1.38  2002/05/13 11:06:03  malekith
- fixed previous commit message

Revision 1.37  2002/05/13 10:54:07  malekith
- move compiler sources into subdirectories, as they were in sources

Revision 1.36  2002/05/10 11:40:49  malekith
- typo

Revision 1.35  2002/05/10 11:24:42  malekith
- added -opt-symbols patch to fix problems with -threads with .opt compiler
  (patch partially from ocaml cvs)
- removed dirty mktop hack, thous
- includes moved to %%{_includedir}/caml
- fixed making symlink for labltk
- added labltk examples

Revision 1.34  2002/05/09 14:30:17  malekith
- documentation doesn't require ocaml
- separated new package -- ocaml-runtime with ocamlrun and dll*.so
- also labltk and x11graphics split into base with just dll*.so and -devel
- added -devel subpackage with compiled sources of compiler (required to
  compile some programs)
- added objinfo patch, so objinfo will print out info about .cmx*
- install objinfo as ocamlobjinfo
- release 7
- *NFY*

Revision 1.33  2002/04/29 15:06:49  malekith
- strip IS safe
- however camlp4* cannot be native-compiled
- added missing dynlink.*

Revision 1.32  2002/04/29 14:07:27  baggins
- release 6
- DON'T STRIP!!!

Revision 1.31  2002/04/18 13:00:19  malekith
- added patch for powerpc native compiler
- rel 5

Revision 1.30  2002/04/10 11:17:52  malekith
- don't build optp4 on ppc (it's broken, use bytecode there)

Revision 1.29  2002/03/03 22:28:12  filon
- added builidng also optimized camlp4
- optimized camlp4{o,r} moved as default, put it all in for loop
- release 4

Revision 1.28  2002/02/23 04:05:44  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/18 19:40:27  filon
- fixed use of _without_x11
- release 3

Revision 1.25  2002/02/13 19:58:12  malekith
- fixed URL:

Revision 1.24  2002/02/13 19:23:58  kloczek
- adapterized and some cosmetics.

Revision 1.23  2002/02/13 17:30:52  malekith
- added /usr/lib/ocaml/ld.conf
- release 2

Revision 1.22  2002/02/02 13:51:35  malekith
- updated to 3.04
- is now split into modules (main package doesn't require X11 anymore)
- camlp4 is now included in sources (thus camlp4.spec is obsolute)

Revision 1.21  2002/01/18 02:14:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.19  2001/10/29 20:45:32  filon
- added html and ps docs
- added _without_emacs bcond
- added subpackages for docs
- release 3

Revision 1.18  2001/10/10 15:40:27  zagrodzki
- release 2
- s/host_alias/host
- don't strip (breaks bytecode-based binaries)

Revision 1.17  2001/10/04 20:10:33  ankry
- fixed xemacs BuildRequires

Revision 1.16  2001/10/03 18:28:02  zagrodzki
- updated to 3.02

Revision 1.15  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/06/22 12:38:10  klakier
- info dir fixed

Revision 1.12  2001/06/20 22:06:47  klakier
- removed html docs
- added info docs

Revision 1.11  2001/05/31 11:55:00  malekith
- added BuildRequires: xemacs

Revision 1.10  2001/05/27 18:09:45  kloczek
- some cosmetics,
- added BuildRequires rules.

Revision 1.9  2001/05/23 11:42:58  dobrek
- Upgraded to 3.01

Revision 1.8  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.6  2000/06/28 10:38:23  mis
- typos

Revision 1.5  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/02 21:23:10  baggins
- fixed version, minor cleanup

Revision 1.3  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.1  2000/03/27 15:50:47  misiek
- obiektowy caml

* Fri Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Dec 29 1998 Alexey Nogin <ayn2@cornell.edu>
- Do not include any /usr/lib/ocaml/*.ml files
